Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty Class Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty:
[legend]

## Public Types
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Member Typedef Documentation

## ◆ this_type

typedef OCompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ OCompoundProperty() [1/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::OCompoundProperty | ( |  | ) |
| inline

The default constructor creates an empty OCompoundProperty function set. ...

## ◆ OCompoundProperty() [2/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::OCompoundProperty | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

Create a new OCompoundProperty named iName as a child of iParent. The remaining optional arguments can be used to override the ErrorHandlerPolicy, or to specify MetaData.

## ◆ OCompoundProperty() [3/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::OCompoundProperty | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

Create a new OCompoundProperty named iName as a child of iParent. The remaining optional arguments can be used to override the ErrorHandlerPolicy, or to specify MetaData.

## ◆ OCompoundProperty() [4/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::OCompoundProperty | ( | AbcA::CompoundPropertyWriterPtr | iProp,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This attaches an OCompoundProperty wrapper around an existing CompoundPropertyWriterPtr, with an optional error handling policy.

## ◆ OCompoundProperty() [5/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::OCompoundProperty | ( | OObject | iObject,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This attaches an OCompoundProperty wrapper around the top properties of an OObject.

## ◆ ~OCompoundProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::~OCompoundProperty | ( |  | ) |

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## ◆ getNumProperties()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::getNumProperties | ( |  | ) | const

Returns the number of properties that have been created thus far. May change as more are created.

## ◆ getParent()

OCompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a OCompoundProperty wrapper.

## ◆ getProperty() [1/2]

OBaseProperty Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::getProperty | ( | const std::string & | iName | ) | const

Return a wrapped base property version of an ALREADY ADDED property. Will return an empty pointer if the writer for this property no longer exists or was never added. This would primarily be used for introspection.

## ◆ getProperty() [2/2]

OBaseProperty Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::getProperty | ( | size_t | i | ) | const

Return a wrapped base property version of an ALREADY ADDED property. Will return an empty pointer if the writer for this property no longer exists or was never added. This would primarily be used for introspection.

## ◆ getPropertyHeader() [1/2]

const AbcA::PropertyHeader * Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::getPropertyHeader | ( | const std::string & | iName | ) | const

Return the header of a property that has already been added. Property is selected by name. This will return NULL if no property with the given name is found.

## ◆ getPropertyHeader() [2/2]

const AbcA::PropertyHeader & Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty::getPropertyHeader | ( | size_t | i | ) | const

Return the header of a property that has already been added. Property is selected by index. This will throw an exception on out-of-range access.

The documentation for this class was generated from the following files:

- Abc/OCompoundProperty.h
- Abc/OCompoundProperty.cpp